/* 
Purpose      : Create [dbo].[DimKpiImage] table and insert the values.
Author       : Julie Koesmarno
Date Created : 27 November 2014
Note         : 
  Please use the following script in conjunction with the instruction mentioned on 
  http://www.mssqlgirl.com/dynamic-kpi-treshold-in-tabular-or-power-pivot.html
Disclaimer   :
  This script is provided AS IS without warranty of any kind. Please use this script at your own discretion.
*/
USE [AdventureWorksDW2008R2]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[DimKpiImage](
	[KPIImageId] [tinyint] IDENTITY(1,1) NOT NULL,
	[KpiType] [varchar](20) NOT NULL,
	[KpiName] [varchar](20) NOT NULL,
	[ImageURL] [varchar](300) NULL
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


SET NOCOUNT ON;
SET XACT_ABORT ON;
GO

SET IDENTITY_INSERT [dbo].[DimKpiImage] ON;

BEGIN TRANSACTION;
INSERT INTO [dbo].[DimKpiImage]([KPIImageId], [KpiType], [KpiName], [ImageURL])
SELECT 1, N'Traffic', N'Green', N'http://www.mssqlgirl.com/wp-content/uploads/2014/11/KPIGreen.png' UNION ALL
SELECT 2, N'Traffic', N'Yellow', N'http://www.mssqlgirl.com/wp-content/uploads/2014/11/KPIYellow.png' UNION ALL
SELECT 3, N'Traffic', N'Red', N'http://www.mssqlgirl.com/wp-content/uploads/2014/11/KPIRed.png' UNION ALL
SELECT 4, N'Traffic', N'Blank', N'http://www.mssqlgirl.com/wp-content/uploads/2014/11/Blank.png' UNION ALL
SELECT 5, N'Trend', N'Blank', N'http://www.mssqlgirl.com/wp-content/uploads/2014/11/Blank.png' UNION ALL
SELECT 6, N'Trend', N'Up', N'http://www.mssqlgirl.com/wp-content/uploads/2014/11/Up.png' UNION ALL
SELECT 7, N'Trend', N'Down', N'http://www.mssqlgirl.com/wp-content/uploads/2014/11/Down.png' UNION ALL
SELECT 8, N'Trend', N'Side', N'http://www.mssqlgirl.com/wp-content/uploads/2014/11/Side.png'

COMMIT;
RAISERROR (N'[dbo].[KpiImage]: Insert Batch: 1.....Done!', 10, 1) WITH NOWAIT;
GO

SET IDENTITY_INSERT [dbo].[DimKpiImage] OFF;

SELECT * FROM [dbo].[DimKpiImage]